Skip to main content
GET
/
workspaces
/
current
/
models
/
model-types
/
{model_type}
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "provider": "openai",
      "label": {
        "en_US": "OpenAI",
        "zh_Hans": "OpenAI"
      },
      "icon_small": {
        "en_US": "https://example.com/openai-small.svg"
      },
      "icon_large": {
        "en_US": "https://example.com/openai-large.svg"
      },
      "status": "active",
      "models": [
        {
          "model": "text-embedding-3-small",
          "label": {
            "en_US": "text-embedding-3-small",
            "zh_Hans": "text-embedding-3-small"
          },
          "model_type": "text-embedding",
          "features": null,
          "fetch_from": "predefined-model",
          "model_properties": {
            "context_size": 8191
          },
          "status": "active"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

model_type
enum<string>
required

Type of model to retrieve. For knowledge base configuration, use text-embedding for embedding models or rerank for reranking models.

Available options:
text-embedding,
rerank,
llm,
tts,
speech2text,
moderation

Response

200 - application/json

Available models for the specified type.

data
object[]

List of model providers with their available models.